libosmogsm 1.13.1.1-afb4 Osmocom GSM library

Data Fields
gsm48_qos Struct Reference

`#include <gsm_04_08_gprs.h>`

## Data Fields
uint8_t | reliab_class:3
uint8_t | delay_class:3
uint8_t | spare:2
uint8_t | preced_class:3
uint8_t | spare2:1
uint8_t | peak_tput:4
uint8_t | mean_tput:5
uint8_t | spare3:3
uint8_t | deliv_err_sdu:3
uint8_t | deliv_order:2
uint8_t | traf_class:3
uint8_t | max_sdu_size
uint8_t | max_bitrate_up
uint8_t | max_bitrate_down
uint8_t | sdu_err_ratio:4
uint8_t | resid_ber:4
uint8_t | handling_prio:2
uint8_t | xfer_delay:6
uint8_t | guar_bitrate_up
uint8_t | guar_bitrate_down
uint8_t | src_stats_desc:4
uint8_t | sig_ind:1
uint8_t | spare5:3
uint8_t | max_bitrate_down_ext
uint8_t | guar_bitrate_down_ext

## Field Documentation

## ◆ delay_class

uint8_t gsm48_qos::delay_class

## ◆ deliv_err_sdu

uint8_t gsm48_qos::deliv_err_sdu

## ◆ deliv_order

uint8_t gsm48_qos::deliv_order

## ◆ guar_bitrate_down

uint8_t gsm48_qos::guar_bitrate_down

## ◆ guar_bitrate_down_ext

uint8_t gsm48_qos::guar_bitrate_down_ext

## ◆ guar_bitrate_up

uint8_t gsm48_qos::guar_bitrate_up

## ◆ handling_prio

uint8_t gsm48_qos::handling_prio

## ◆ max_bitrate_down

uint8_t gsm48_qos::max_bitrate_down

## ◆ max_bitrate_down_ext

uint8_t gsm48_qos::max_bitrate_down_ext

## ◆ max_bitrate_up

uint8_t gsm48_qos::max_bitrate_up

## ◆ max_sdu_size

uint8_t gsm48_qos::max_sdu_size

## ◆ mean_tput

uint8_t gsm48_qos::mean_tput

## ◆ peak_tput

uint8_t gsm48_qos::peak_tput

## ◆ preced_class

uint8_t gsm48_qos::preced_class

## ◆ reliab_class

uint8_t gsm48_qos::reliab_class

## ◆ resid_ber

uint8_t gsm48_qos::resid_ber

## ◆ sdu_err_ratio

uint8_t gsm48_qos::sdu_err_ratio

## ◆ sig_ind

uint8_t gsm48_qos::sig_ind

## ◆ spare

uint8_t gsm48_qos::spare

## ◆ spare2

uint8_t gsm48_qos::spare2

## ◆ spare3

uint8_t gsm48_qos::spare3

## ◆ spare5

uint8_t gsm48_qos::spare5

## ◆ src_stats_desc

uint8_t gsm48_qos::src_stats_desc

## ◆ traf_class

uint8_t gsm48_qos::traf_class

## ◆ xfer_delay

uint8_t gsm48_qos::xfer_delay

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/protocol/gsm_04_08_gprs.h